com.elastisys.scale.cloudpool.api.restapi.types

## Class SetServiceStateRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.restapi.types.SetServiceStateRequest

    public class SetServiceStateRequest
    extends Object

REST API request type that requests a certain service state be set for a machine in the pool.

See Also:
  `CloudPoolHandler.setServiceState(String, SetServiceStateRequest)`

### Constructor Summary

Constructors
Constructor and Description
`SetServiceStateRequest(ServiceState serviceState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`ServiceState` `getServiceState()`
`int` `hashCode()`
`void` `setServiceState(ServiceState serviceState)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetServiceStateRequest

    public SetServiceStateRequest(ServiceState serviceState)

### Method Detail

#### setServiceState

    public void setServiceState(ServiceState serviceState)

#### getServiceState

    public ServiceState getServiceState()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`